/caferimo-stores-delete-one¶
Summary¶
Source repository:
jef-systems/jef-caferimo-backendSource SHA:
34c5a4f7f6891cb316e3bb2803081a3c35d4aa22Source run id:
25862680282Lambda function:
jef-caferimo-stores-delete-oneHTTP method:
DELETEAPI path:
/caferimo-stores-delete-oneEndpoint URL:
https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-stores-delete-onePayload mode:
json-body
Description¶
Function: jef-caferimo-stores-delete-oneModule: jef-caferimoAction: delete-oneMethod: DELETEInvocation Mode: ASYNCResource Path: /caferimo-stores-delete-oneTable: jef-caferimo-storesPrimary Key: store_id
API Gateway Response¶
status\_code: 202message: Request accepted for asynchronous processing.
Payload Example¶
store\_id: 167ec01f-2aae-4482-902d-61c36b19b0d4
Payload Schema¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.store_id.type",
"value": "S"
},
{
"key": "root.attributes.store_id.required",
"value": "True"
},
{
"key": "root.attributes.store_id.format",
"value": "uuidv4"
},
{
"key": "root.attributes.store_id.regex",
"value": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
}
]
Response Schema¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.is_accepted.type",
"value": "BOOL"
},
{
"key": "root.attributes.is_accepted.required",
"value": "True"
},
{
"key": "root.attributes.message.type",
"value": "S"
},
{
"key": "root.attributes.message.required",
"value": "True"
},
{
"key": "root.attributes.request_id.type",
"value": "S"
},
{
"key": "root.attributes.request_id.required",
"value": "False"
}
]
Request Payload¶
[
{
"key": "store_id",
"value": "167ec01f-2aae-4482-902d-61c36b19b0d4"
}
]
Response¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.is_accepted.type",
"value": "BOOL"
},
{
"key": "root.attributes.is_accepted.required",
"value": "True"
},
{
"key": "root.attributes.message.type",
"value": "S"
},
{
"key": "root.attributes.message.required",
"value": "True"
},
{
"key": "root.attributes.request_id.type",
"value": "S"
},
{
"key": "root.attributes.request_id.required",
"value": "False"
}
]
CMD curl¶
curl -X DELETE "https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-stores-delete-one" -H "Content-Type: application/json" --data-raw "{\"store_id\": \"167ec01f-2aae-4482-902d-61c36b19b0d4\"}"
PowerShell curl¶
curl.exe -X DELETE "https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-stores-delete-one" -H "Content-Type: application/json" --data-raw '{"store_id": "167ec01f-2aae-4482-902d-61c36b19b0d4"}'